%define name	kmasqdialer
%define version	2.05
%define release	7mdk

Summary:	KMasqDialer - KDE client for the masqdialer modem server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/Remote access
License:	GPL
URL:		http://www.stephan.co.uk/kmasqdialer/
Source:		http://www.stephan.co.uk/kmasqdialer/kmasqdialer-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/kmasqdialer-%{version}-root
BuildRequires:  kdelibs-devel jpeg-devel XFree86-devel
BuildRequires:	libpng-devel

%description
KMasqDialer - KDE client for the masqdialer modem server

%prep
%setup -q


%build
%configure --disable-rpath
perl -pi -e 's|transform = s,\^,.*-mandrake-linux-gnu-,||g' kmasqdialer/Makefile
%make


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%makeinstall

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
        command="kmasqdialer" \
	needs="x11" \
	icon="kmasqdialer.png" \
	section="Networking/Remote access" \
	title="Kmasqdialer" \
	longtitle="KDE Client for the masqdialer modem server"
EOF

mkdir -p %{buildroot}%{_liconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m644 kmasqdialer/kmasqdialer.png %{buildroot}%{_liconsdir}/
install -m644 kmasqdialer/kmasqdialer.png %{buildroot}%{_iconsdir}/
install -m644 kmasqdialer/kmasqdialer-mini.png %{buildroot}%{_miconsdir}/%{name}.png


%post
%update_menus


%postun
%clean_menus


%clean
#[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_bindir}/kmasqdialer
%{_datadir}/icons/hicolor/16x16/apps/kmasqdialer.png
%{_datadir}/icons/hicolor/32x32/apps/kmasqdialer.png
%{_datadir}/icons/hicolor/16x16/actions/*.png
%{_datadir}/applnk/Internet/kmasqdialer.desktop

%changelog
* Fri Jun 18 2004 Laurent Culioli <laurent@mandrake.org> 2.05-7mdk
- rebuild with new g++
- fix menu and requires

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 2.05-6mdk
- buildrequires

* Sat Feb 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.05-5mdk
- s/i586/\.\*/ for non %%ix86 

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 2.05-4mdk
- rebuild
- clean specfile

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 2.05-3mdk
- REbuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.05-2mdk
- Rebuild against gcc-3.2

* Wed Jun 12 2002 Buchan Milne <bgmilne@linux-mandrake.com> 2.05-1mdk
- 2.05
- KDE3
- Time for cooker! (but should build in /opt/kde3 on 8.2)
- C-mserver coming soon.

* Thu Oct  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.04-2mdk
- spec cleanups, macros
- fix location of HTML docs
- fix call to %%update_menus (not %%update-menus)

* Fri Aug 24 2001 Buchan Milne <bgmilne@bgmilne.cae.co.za> 2.04-1mdk
- Initial mandrake RPM.
